%{?scl:%scl_package nodejs-mute-stream}
%{!?scl:%global pkg_name %{name}}
%{?nodejs_find_provides_and_requires}

Name:           %{?scl_prefix}nodejs-mute-stream
Version:        0.0.5
Release:        2%{?dist}
Summary:        Basic pass-through stream, but when muted, the bytes are dropped
BuildArch:      noarch
ExclusiveArch: %{nodejs_arches} noarch

License:        ISC
URL:            https://github.com/isaacs/mute-stream
Source0:        http://registry.npmjs.org/mute-stream/-/mute-stream-%{version}.tgz

BuildRequires:  %{?scl_prefix}nodejs-devel

%description
This is a basic pass-through stream, but when muted, the bytes are
silently dropped, rather than being passed through.

%prep
%setup -q -n package

%build
#nothing to see here, move along

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/mute-stream
cp -pr package.json mute.js %{buildroot}%{nodejs_sitelib}/mute-stream

%nodejs_symlink_deps

%files
%{nodejs_sitelib}/mute-stream
%doc LICENSE README.md

%changelog
* Mon May 28 2018 Zuzana Svetlikova <zsvetlik@redhat.com> - 0.0.5-2
- Resolves: RHBZ#1543198, rebuild for multiarch

* Tue Sep 13 2016 Zuzana Svetlikova <zsvetlik@redhat.com> - 0.0.5-1
- Updated with script, change license

* Sun Feb 14 2016 Zuzana Svetlikova <zsvetlik@redhat.com> - 0.0.4-4
- rebuilt

* Tue Mar 04 2014 Tomas Hrcka <thrcka@redhat.com> - 0.0.4-3
- Add missing nodejs_symlink_deps macro

* Thu Oct 17 2013 Tomas Hrcka <thrcka@redhat.com> - 0.0.4-2
- replace provides and requires with macro

* Tue Jul 30 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.4-1
- new upstream release 0.0.4

* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.3-6
- restrict to compatible arches

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.3-5
- add macro for EPEL6 dependency generation

* Thu Apr 11 2013 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.0.3-5
- Add support for software collections

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 07 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.3-2
- fix summary, URL
- add no-op build section

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.3-1
- initial package generated by npm2rpm
